Lots of pcieport and nvme kernel errors - system non-responsive

Bug #1754425 reported by tom on 2018-03-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-shell (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned

Bug Description

If I open the lid, it seems that the computer flat-out doesn't wake up. HOWEVER, if I wait patiently more than 20 seconds, and press (not hold) the power button, SOMETIMES, the computer will "snap out of it" and come back to my desktop. Although RAM is 25% used, and CPU usage is around 25-50% or less (depending on apps), mouse will regularly freeze up for some seconds every 10 seconds or so. Wifi will claim to be "on", but there aren't any networks in the "select network" dialogue. Turning wifi off and then on does not fix this problem. So I'll be in this terrifying state of non-responsive every few seconds computer, with no ability to reconnect to networks and report bug.

I force restart. The first restart, upon login, will hang indefinitely on a purple screen with the cursor in the middle. I will have to force restart again. Upon 2nd restart, it will boot "normally".

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: gnome-shell 3.27.92-0ubuntu1
ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
Uname: Linux 4.15.0-10-generic x86_64
ApportVersion: 2.20.8-0ubuntu10
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Thu Mar 8 12:38:24 2018
DisplayManager: gdm3
InstallationDate: Installed on 2018-03-02 (5 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180228)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: gnome-shell
UpgradeStatus: No upgrade log present (probably fresh install)
---
ApportVersion: 2.20.8-0ubuntu10
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: tom 1387 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2018-03-02 (10 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180228)
MachineType: Dell Inc. XPS 15 9560
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-10-generic.efi.signed root=UUID=9ccc05c8-ea98-4229-a4d3-6d3a292df6df ro quiet splash acpi_rev_override=1 vt.handoff=1
ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-10-generic N/A
 linux-backports-modules-4.15.0-10-generic N/A
 linux-firmware 1.172
Tags: bionic
Uname: Linux 4.15.0-10-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 01/25/2018
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.7.1
dmi.board.name: 0JHP5H
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.7.1:bd01/25/2018:svnDellInc.:pnXPS159560:pvr:rvnDellInc.:rn0JHP5H:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: XPS
dmi.product.name: XPS 15 9560
dmi.sys.vendor: Dell Inc.
---
ApportVersion: 2.20.8-0ubuntu10
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: tom 1387 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2018-03-02 (10 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180228)
MachineType: Dell Inc. XPS 15 9560
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-10-generic.efi.signed root=UUID=9ccc05c8-ea98-4229-a4d3-6d3a292df6df ro quiet splash acpi_rev_override=1 vt.handoff=1
ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-10-generic N/A
 linux-backports-modules-4.15.0-10-generic N/A
 linux-firmware 1.172
Tags: bionic
Uname: Linux 4.15.0-10-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 01/25/2018
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.7.1
dmi.board.name: 0JHP5H
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.7.1:bd01/25/2018:svnDellInc.:pnXPS159560:pvr:rvnDellInc.:rn0JHP5H:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: XPS
dmi.product.name: XPS 15 9560
dmi.sys.vendor: Dell Inc.
---
ApportVersion: 2.20.8-0ubuntu10
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: tom 1387 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2018-03-02 (12 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180228)
MachineType: Dell Inc. XPS 15 9560
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-10-generic.efi.signed root=UUID=9ccc05c8-ea98-4229-a4d3-6d3a292df6df ro quiet splash acpi_rev_override=1 vt.handoff=1
ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-10-generic N/A
 linux-backports-modules-4.15.0-10-generic N/A
 linux-firmware 1.172
Tags: bionic
Uname: Linux 4.15.0-10-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 01/25/2018
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.7.1
dmi.board.name: 0JHP5H
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.7.1:bd01/25/2018:svnDellInc.:pnXPS159560:pvr:rvnDellInc.:rn0JHP5H:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: XPS
dmi.product.name: XPS 15 9560
dmi.sys.vendor: Dell Inc.
---
ApportVersion: 2.20.8-0ubuntu10
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: tom 1387 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2018-03-02 (12 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180228)
MachineType: Dell Inc. XPS 15 9560
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-10-generic.efi.signed root=UUID=9ccc05c8-ea98-4229-a4d3-6d3a292df6df ro quiet splash acpi_rev_override=1 vt.handoff=1
ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-10-generic N/A
 linux-backports-modules-4.15.0-10-generic N/A
 linux-firmware 1.172
Tags: bionic
Uname: Linux 4.15.0-10-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 01/25/2018
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.7.1
dmi.board.name: 0JHP5H
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.7.1:bd01/25/2018:svnDellInc.:pnXPS159560:pvr:rvnDellInc.:rn0JHP5H:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: XPS
dmi.product.name: XPS 15 9560
dmi.sys.vendor: Dell Inc.
---
ApportVersion: 2.20.8-0ubuntu10
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/pcmC0D0p: tom 1399 F...m pulseaudio
 /dev/snd/controlC0: tom 1399 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2018-03-02 (15 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180228)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 003: ID 04f3:24a1 Elan Microelectronics Corp.
 Bus 001 Device 002: ID 0cf3:e301 Atheros Communications, Inc.
 Bus 001 Device 004: ID 1bcf:2b95 Sunplus Innovation Technology Inc.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. XPS 15 9560
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-12-generic.efi.signed root=UUID=9ccc05c8-ea98-4229-a4d3-6d3a292df6df ro quiet splash acpi_rev_override=1 vt.handoff=1
ProcVersionSignature: Ubuntu 4.15.0-12.13-generic 4.15.7
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-12-generic N/A
 linux-backports-modules-4.15.0-12-generic N/A
 linux-firmware 1.173
Tags: bionic
Uname: Linux 4.15.0-12-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 01/25/2018
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.7.1
dmi.board.name: 0JHP5H
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.7.1:bd01/25/2018:svnDellInc.:pnXPS159560:pvr:rvnDellInc.:rn0JHP5H:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: XPS
dmi.product.name: XPS 15 9560
dmi.sys.vendor: Dell Inc.

tom (tombuntus) wrote :
tom (tombuntus) wrote :

The colorful static looks like this, but colorful: https://i.stack.imgur.com/GQQxy.jpg

Jeremy Bicha (jbicha) wrote :

Thank you for taking the time to report this bug. This bug has already been reported as #1753776 so I am marking it a duplicate.

tom (tombuntus) wrote :

Thanks Jeremy. That bug definitely describes the normal login behavior I see. However, the main part of this bug is strange behavior after closing the lid, and the failed first restart freezing on purple screen.

So, while part of this bug report is duplicate, part of it is not (so far as I know).

Daniel van Vugt (vanvugt) wrote :

Tom, please try to report one issue per bug.

We can either:

 * make this a duplicate of bug 1753776 and you log a new bug for the other problem; or
 * remove references to the first "static" problem from this bug.

So please let us know how you'd like to proceed.

Changed in gnome-shell (Ubuntu):
status: New → Incomplete
Download full text (3.3 KiB)

Remove references to colorful static. The problem was these issues may or
may not be related, and both are not reportable in the usual way. I was
just mentioning all the serious symptoms of problems together, rather than
assuming they were all the result of a single discrete bug.

On Mar 8, 2018 21:51, "Daniel van Vugt" <email address hidden>
wrote:

> Tom, please try to report one issue per bug.
>
> We can either:
>
> * make this a duplicate of bug 1753776 and you log a new bug for the
> other problem; or
> * remove references to the first "static" problem from this bug.
>
> So please let us know how you'd like to proceed.
>
> ** Changed in: gnome-shell (Ubuntu)
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1754425
>
> Title:
> 18.04 3.27 Gnome-shell Near-Fatalities
>
> Status in gnome-shell package in Ubuntu:
> Incomplete
>
> Bug description:
> It's impossible to make a normal bug report, so here's the best I can
> describe:
>
> EVERY login to gnome, there is a moment after I enter my password and
> press return, where whole screen goes small-resolution (cursor small,
> all text and boxes get smaller), and best way to describe it is
> "colorful static" pattern replaces the purple/black. After this
> hiccup, a moment of black, then taken to the gnome desktop. Things
> work fine.
>
> If I close the lid, it seems that the computer flat-out doesn't wake
> up. HOWEVER, if I wait patiently more than 20 seconds, and press (not
> hold) the power button, SOMETIMES, the computer will "snap out of it"
> and come back to my desktop. Although RAM is 25% used, and CPU usage
> is around 25-50% or less (depending on apps), mouse will regularly
> freeze up for some seconds every 10 seconds or so. Wifi will claim to
> be "on", but there aren't any networks in the "select network"
> dialogue. Turning wifi off and then on does not fix this problem. So
> I'll be in this terrifying state of non-responsive every few seconds
> computer, with no ability to reconnect to networks and report bug.
>
> I force restart. The first restart, upon login, will hang indefinitely
> on a purple screen with the cursor in the middle. I will have to force
> restart again. Upon 2nd restart, it will boot "normally", in that
> after I login, I get the "familiar" "colorful static" splash screen
> before being taken to normal functional gnome desktop experience.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 18.04
> Package: gnome-shell 3.27.92-0ubuntu1
> ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
> Uname: Linux 4.15.0-10-generic x86_64
> ApportVersion: 2.20.8-0ubuntu10
> Architecture: amd64
> CurrentDesktop: ubuntu:GNOME
> Date: Thu Mar 8 12:38:24 2018
> DisplayManager: gdm3
> InstallationDate: Installed on 2018-03-02 (5 days ago)
> InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64
> (20180228)
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: gnome-shel...

Read more...

description: updated
Changed in gnome-shell (Ubuntu):
status: Incomplete → New
description: updated

Thanks Tom. More questions:

1. How are you trying to wake up the machine initially? Do you mean you're _opening_ the lid and expecting it to wake up (which is correct)?
("If I close the lid, it seems that the computer flat-out doesn't wake up.")

2. Can you please attach output from 'dmesg' ASAP after the problem has started? I can see some hints of kernel/hardware issues in your JournalErrors.txt but maybe 'dmesg' would be more useful.

Changed in gnome-shell (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu):
status: New → Incomplete
Daniel van Vugt (vanvugt) wrote :

Also:

3. Please run 'lspci -k' and attach the output.

tom (tombuntus) wrote :
Download full text (4.5 KiB)

1. Yes, opening the lid.

2. In dmesg, I see a ton of
[52698.053359] pcieport 0000:00:1d.0: AER: Corrected error received: id=00e8
[52698.053373] pcieport 0000:00:1d.0: PCIe Bus Error: severity=Corrected, type=Data Link Layer, id=00e8(Transmitter ID)
[52698.053383] pcieport 0000:00:1d.0: device [8086:a118] error status/mask=00001000/00002000
[52698.053389] pcieport 0000:00:1d.0: [12] Replay Timer Timeout

repeating over and over.

3. lspci -k
hangs the system for several seconds. then:

00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers (rev 05)
 Subsystem: Dell Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers
00:01.0 PCI bridge: Intel Corporation Skylake PCIe Controller (x16) (rev 05)
 Kernel driver in use: pcieport
 Kernel modules: shpchp
00:02.0 VGA compatible controller: Intel Corporation Device 591b (rev 04)
 Subsystem: Dell Device 07be
 Kernel driver in use: i915
 Kernel modules: i915
00:04.0 Signal processing controller: Intel Corporation Skylake Processor Thermal Subsystem (rev 05)
 Subsystem: Dell Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Thermal Subsystem
 Kernel driver in use: proc_thermal
 Kernel modules: processor_thermal_device
00:14.0 USB controller: Intel Corporation Sunrise Point-H USB 3.0 xHCI Controller (rev 31)
 Subsystem: Dell Sunrise Point-H USB 3.0 xHCI Controller
 Kernel driver in use: xhci_hcd
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-H Thermal subsystem (rev 31)
 Subsystem: Dell Sunrise Point-H Thermal subsystem
 Kernel driver in use: intel_pch_thermal
 Kernel modules: intel_pch_thermal
00:15.0 Signal processing controller: Intel Corporation Sunrise Point-H Serial IO I2C Controller #0 (rev 31)
 Subsystem: Dell Sunrise Point-H Serial IO I2C Controller
 Kernel driver in use: intel-lpss
 Kernel modules: intel_lpss_pci
00:15.1 Signal processing controller: Intel Corporation Sunrise Point-H Serial IO I2C Controller #1 (rev 31)
 Subsystem: Dell Sunrise Point-H Serial IO I2C Controller
 Kernel driver in use: intel-lpss
 Kernel modules: intel_lpss_pci
00:16.0 Communication controller: Intel Corporation Sunrise Point-H CSME HECI #1 (rev 31)
 Subsystem: Dell Sunrise Point-H CSME HECI
 Kernel driver in use: mei_me
 Kernel modules: mei_me
00:17.0 SATA controller: Intel Corporation Sunrise Point-H SATA Controller [AHCI mode] (rev 31)
 Subsystem: Dell Sunrise Point-H SATA Controller [AHCI mode]
 Kernel driver in use: ahci
 Kernel modules: ahci
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #1 (rev f1)
 Kernel driver in use: pcieport
 Kernel modules: shpchp
00:1c.1 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #2 (rev f1)
 Kernel driver in use: pcieport
 Kernel modules: shpchp
00:1d.0 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #9 (rev f1)
 Kernel driver in use: pcieport
 Kernel modules: shpchp
00:1d.4 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #13 (rev f1)
 Kernel driver in use: pcieport
 Kernel modules: shpchp
00:1d.6 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #15 (rev f1)
 Kernel driver in us...

Read more...

Daniel van Vugt (vanvugt) wrote :

Please attach the full output from dmesg (as a file):

dmesg > dmesg.txt

description: updated
tom (tombuntus) wrote :
Daniel van Vugt (vanvugt) wrote :

Thanks.

This certainly looks like a kernel bug or hardware failure. Your errors coming from the 'pcieport' kernel module appear to correlate with errors from the 'nvme' module (for a solid state hard drive). So I think that's the problem area, which will indeed slow down everything and make various hardware devices non-responsive.

Your description also mentions wifi issues (which would be your 'ath10k_pci' kernel module) but I think that's most likely a side-effect of the PCIe problems from the former.

If I had to guess then you probably need one of:
  (a) a kernel bug fix; or
  (b) a new solid state drive; or
  (c) a new motherboard.

We'll wait and see what the kernel people say...

Changed in linux (Ubuntu):
status: Incomplete → New
Changed in gnome-shell (Ubuntu):
status: Incomplete → Invalid
summary: - 18.04 3.27 Gnome-shell Near-Fatalities
+ Lots of pcieport and nvme kernel errors on resuming from sleep - system
+ non-responsive
summary: - Lots of pcieport and nvme kernel errors on resuming from sleep - system
- non-responsive
+ Lots of pcieport and nvme kernel errors - system non-responsive

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1754425

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tom (tombuntus) wrote : AlsaInfo.txt

apport information

tags: added: apport-collected
description: updated
tom (tombuntus) wrote : CRDA.txt

apport information

apport information

tom (tombuntus) wrote : IwConfig.txt

apport information

apport information

tom (tombuntus) wrote : Lspci.txt

apport information

tom (tombuntus) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

tom (tombuntus) wrote : RfKill.txt

apport information

tom (tombuntus) wrote : UdevDb.txt

apport information

apport information

description: updated
tom (tombuntus) wrote : AlsaInfo.txt

apport information

tom (tombuntus) wrote : CRDA.txt

apport information

apport information

tom (tombuntus) wrote : IwConfig.txt

apport information

apport information

tom (tombuntus) wrote : Lspci.txt

apport information

tom (tombuntus) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

tom (tombuntus) wrote : RfKill.txt

apport information

tom (tombuntus) wrote : UdevDb.txt

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tom (tombuntus) wrote : AlsaInfo.txt

apport information

description: updated
tom (tombuntus) wrote : CRDA.txt

apport information

apport information

tom (tombuntus) wrote : IwConfig.txt

apport information

apport information

tom (tombuntus) wrote : Lspci.txt

apport information

tom (tombuntus) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

tom (tombuntus) wrote : RfKill.txt

apport information

tom (tombuntus) wrote : UdevDb.txt

apport information

apport information

description: updated
tom (tombuntus) wrote : AlsaInfo.txt

apport information

tom (tombuntus) wrote : CRDA.txt

apport information

apport information

tom (tombuntus) wrote : IwConfig.txt

apport information

apport information

tom (tombuntus) wrote : Lspci.txt

apport information

tom (tombuntus) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

tom (tombuntus) wrote : RfKill.txt

apport information

tom (tombuntus) wrote : UdevDb.txt

apport information

apport information

tom (tombuntus) wrote :

Today, it behaved similarly after closing the lid. Weird cycle of black screen, power button turning off, screen momentarily flashing the cursor low and in the middle of screen.

However, unlike before, after patiently wading through the mire, after about 90 seconds, I was able to enter my password, and the system so far isn't hanging every few seconds, and it connected to wifi almost immediately upon waking!

Ran apport info diagnostics above. Maybe it's the new kernel that came out last night?

Bug is certainly not fixed, but closer to fixed now.

Daniel van Vugt (vanvugt) wrote :

tom,

To pre-empt what the kernel team would ask you to do next, please try installing a newer kernel (4.16-something) and see how that performs:

http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tom (tombuntus) wrote :

Can you walk me through that?

I'm not sure it's necessary. I have one of the most popular systems (Dell XPS 9560). If 18.04 doesn't wake up from lid closing on all Dell XPS, I doubt I'm the first/only to have this problem.

Daniel van Vugt (vanvugt) wrote :

Unfortunately, that's what many people say when they log a bug. And unfortunately you do seem to be the first/only person reporting this problem, for now. Although that doesn't imply your machine is the only one affected. It's always possible you have the honour of just being the most observant person to notice and report the problem first...

Here are the steps:

1. Download http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.16-rc5/linux-headers-4.16.0-041600rc5_4.16.0-041600rc5.201803112130_all.deb

2. Download http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.16-rc5/linux-headers-4.16.0-041600rc5-generic_4.16.0-041600rc5.201803112130_amd64.deb

3. Download http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.16-rc5/linux-image-4.16.0-041600rc5-generic_4.16.0-041600rc5.201803112130_amd64.deb

4. In a terminal, install them all at once:
   sudo dpkg -i linux*.deb

5. Reboot.

6. Verify you're using the new kernel by running this in a terminal:
   uname -r

tom (tombuntus) wrote :

So today, woke up properly from lid close.

I'm not sure what to make of it, as I haven't restarted for over 2 days.

tom (tombuntus) wrote :

Very bizarre development. Woke from lid close 3 times perfectly in the past few days. Today, blinked black and barely-visible-for-an-instant cursor for over 60seconds, so i force reset. attaching apport logs.

description: updated
tom (tombuntus) wrote : AlsaInfo.txt

apport information

tom (tombuntus) wrote : CRDA.txt

apport information

apport information

tom (tombuntus) wrote : IwConfig.txt

apport information

apport information

tom (tombuntus) wrote : Lspci.txt

apport information

apport information

apport information

apport information

apport information

apport information

tom (tombuntus) wrote : RfKill.txt

apport information

tom (tombuntus) wrote : UdevDb.txt

apport information

apport information

Daniel van Vugt (vanvugt) wrote :

Yes there have been a few kernel updates in the past few days that might have improved the situation. Still, bug incomplete pending more testing on kernel 4.15 and if that doesn't suffice, then with 4.16 too.

There's no need to send all those attachments again.

Kai-Heng Feng (kaihengfeng) wrote :

Do you see this issue on cold boot, or just reboot?

tom (tombuntus) wrote :

I think I've solved the mystery. I was very bothered that I was the only/first one having it, given the ubiquity of my hardware. I believe this theory also explains why it sometimes awoke just fine from lid closed, but sometimes was all broken.

I believe my setting for "what to do when lid closes" got lost in upgrade to 18.04, so it wasn't suspending, and maybe wasn't doing anything at all! Then, if I happened to place it on good surfaces, it'd be fine and "wake up". When I placed it on bad surfaces, like bed sheets or other cloths, it'd overheat and cook itself into insanity, so when I opened the lid, it wouldn't "wake up" because it was cooked into a fever dream.

This is my best guess. I'll let you know if I experience the issue any more, now that I've explicitly chosen "suspend" for "lid close" in Settings.

tom (tombuntus) wrote :

@Kai-Heng Feng, I have no idea what you mean. This issue is upon closing and re-opening lid. It does not occur upon boots, whether "cold" or "re".

Daniel van Vugt (vanvugt) wrote :

I think the question is whether the lid problem occurs _after_ cold boots or warm boots only.

A cold boot is from power-on. A warm boot is a reboot.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments